diff -Nurd kdebase-3.5.10/kwin/clients/modernsystem/config/Makefile.am kdebase-3.5.10-new/kwin/clients/modernsystem/config/Makefile.am
--- kdebase-3.5.10/kwin/clients/modernsystem/config/Makefile.am	2005-09-10 01:25:56.000000000 -0700
+++ kdebase-3.5.10-new/kwin/clients/modernsystem/config/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -5,7 +5,7 @@
 
 kwin_modernsys_config_la_SOURCES = config.cpp
 kwin_modernsys_config_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
-kwin_modernsys_config_la_LIBADD = $(LIB_KDEUI)
+kwin_modernsys_config_la_LIBADD = $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE)
 
 METASOURCES = AUTO
 noinst_HEADERS = config.h
diff -Nurd kdebase-3.5.10/kwin/clients/plastik/Makefile.am kdebase-3.5.10-new/kwin/clients/plastik/Makefile.am
--- kdebase-3.5.10/kwin/clients/plastik/Makefile.am	2005-09-10 01:25:56.000000000 -0700
+++ kdebase-3.5.10-new/kwin/clients/plastik/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -12,7 +12,7 @@
 kde_module_LTLIBRARIES = kwin3_plastik.la
 kwin3_plastik_la_SOURCES = plastik.cpp plastikclient.cpp plastikbutton.cpp misc.cpp
 kwin3_plastik_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
-kwin3_plastik_la_LIBADD = $(LIB_KDEUI) ../../lib/libkdecorations.la
+kwin3_plastik_la_LIBADD = $(LIB_KDEUI) ../../lib/libkdecorations.la -lkdefx
 kwin3_plastik_la_METASOURCES = AUTO
 
 DISTCLEANFILES = $(kwin3_plastik_la_METASOURCES)
diff -Nurd kdebase-3.5.10/kwin/clients/plastik/config/Makefile.am kdebase-3.5.10-new/kwin/clients/plastik/config/Makefile.am
--- kdebase-3.5.10/kwin/clients/plastik/config/Makefile.am	2005-09-10 01:25:56.000000000 -0700
+++ kdebase-3.5.10-new/kwin/clients/plastik/config/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -4,7 +4,7 @@
 
 kwin_plastik_config_la_SOURCES = config.cpp configdialog.ui
 kwin_plastik_config_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
-kwin_plastik_config_la_LIBADD  = $(LIB_KDEUI)
+kwin_plastik_config_la_LIBADD  = $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE)
 
 METASOURCES                  = AUTO
 noinst_HEADERS               = config.h
diff -Nurd kdebase-3.5.10/kwin/clients/quartz/Makefile.am kdebase-3.5.10-new/kwin/clients/quartz/Makefile.am
--- kdebase-3.5.10/kwin/clients/quartz/Makefile.am	2005-09-10 01:25:56.000000000 -0700
+++ kdebase-3.5.10-new/kwin/clients/quartz/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -7,7 +7,7 @@
 
 kwin3_quartz_la_SOURCES = quartz.cpp
 kwin3_quartz_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
-kwin3_quartz_la_LIBADD  = $(LIB_KDEUI)  ../../lib/libkdecorations.la
+kwin3_quartz_la_LIBADD  = $(LIB_KDEUI) ../../lib/libkdecorations.la -lkdefx
 
 METASOURCES = AUTO
 noinst_HEADERS = quartz.h
diff -Nurd kdebase-3.5.10/kwin/clients/quartz/config/Makefile.am kdebase-3.5.10-new/kwin/clients/quartz/config/Makefile.am
--- kdebase-3.5.10/kwin/clients/quartz/config/Makefile.am	2005-09-10 01:25:56.000000000 -0700
+++ kdebase-3.5.10-new/kwin/clients/quartz/config/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -4,7 +4,7 @@
 
 kwin_quartz_config_la_SOURCES = config.cpp
 kwin_quartz_config_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
-kwin_quartz_config_la_LIBADD = $(LIB_KDEUI)
+kwin_quartz_config_la_LIBADD = $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE)
 
 METASOURCES = AUTO
 noinst_HEADERS = config.h
diff -Nurd kdebase-3.5.10/kwin/clients/redmond/Makefile.am kdebase-3.5.10-new/kwin/clients/redmond/Makefile.am
--- kdebase-3.5.10/kwin/clients/redmond/Makefile.am	2005-09-10 01:25:56.000000000 -0700
+++ kdebase-3.5.10-new/kwin/clients/redmond/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -5,7 +5,7 @@
 
 kwin3_redmond_la_SOURCES = redmond.cpp
 kwin3_redmond_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
-kwin3_redmond_la_LIBADD = $(LIB_KDECORE) ../../lib/libkdecorations.la
+kwin3_redmond_la_LIBADD = $(LIB_KDEUI) ../../lib/libkdecorations.la -lkdefx
 
 METASOURCES = AUTO
 noinst_HEADERS = redmond.h
diff -Nurd kdebase-3.5.10/kwin/clients/test/Makefile.am kdebase-3.5.10-new/kwin/clients/test/Makefile.am
--- kdebase-3.5.10/kwin/clients/test/Makefile.am	2005-09-10 01:25:55.000000000 -0700
+++ kdebase-3.5.10-new/kwin/clients/test/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -4,7 +4,7 @@
 
 kwin3_test_la_SOURCES   = test.cpp
 kwin3_test_la_LDFLAGS   = $(all_libraries) $(KDE_PLUGIN) -module
-kwin3_test_la_LIBADD    = $(LIB_KDEUI) ../../lib/libkdecorations.la
+kwin3_test_la_LIBADD    = $(LIB_KDEUI) ../../lib/libkdecorations.la -lkdefx
 #kwin_keramik_la_LDFLAGS   = $(all_libraries) -avoid-version -module $(KDE_RPATH) $(KDE_MT_LDFLAGS)
 
 METASOURCES               = AUTO
diff -Nurd kdebase-3.5.10/kwin/clients/web/Makefile.am kdebase-3.5.10-new/kwin/clients/web/Makefile.am
--- kdebase-3.5.10/kwin/clients/web/Makefile.am	2005-09-10 01:25:56.000000000 -0700
+++ kdebase-3.5.10-new/kwin/clients/web/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -6,7 +6,7 @@
 noinst_HEADERS            = Web.h WebButton.h
 
 kwin3_web_la_LDFLAGS      = $(all_libraries) $(KDE_PLUGIN) -module
-kwin3_web_la_LIBADD       = $(LIB_KDEUI) ../../lib/libkdecorations.la
+kwin3_web_la_LIBADD       = $(LIB_KDEUI) ../../lib/libkdecorations.la -lkdefx
 METASOURCES               = AUTO
 
 linkdir                   = $(kde_datadir)/kwin/
diff -Nurd kdebase-3.5.10/kwin/data/Makefile.am kdebase-3.5.10-new/kwin/data/Makefile.am
--- kdebase-3.5.10/kwin/data/Makefile.am	2007-05-14 00:55:48.000000000 -0700
+++ kdebase-3.5.10-new/kwin/data/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -2,11 +2,11 @@
 kconfdir = $(libdir)/kconf_update_bin
 
 kwin_update_window_settings_SOURCES = update_window_settings.cpp
-kwin_update_window_settings_LDADD   = $(LIB_KDECORE) $(KDE_RPATH)
+kwin_update_window_settings_LDADD   = $(LIB_QT) -lDCOP $(LIB_KDECORE) $(KDE_RPATH)
 kwin_update_window_settings_LDFLAGS = $(all_libraries)
 
 kwin_update_default_rules_SOURCES = update_default_rules.cpp
-kwin_update_default_rules_LDADD   = $(LIB_KDECORE) $(KDE_RPATH)
+kwin_update_default_rules_LDADD   = $(LIB_QT) -lDCOP $(LIB_KDECORE) $(KDE_RPATH)
 kwin_update_default_rules_LDFLAGS = $(all_libraries)
 
 INCLUDES = $(all_includes)
diff -Nurd kdebase-3.5.10/kwin/kcmkwin/kwindecoration/Makefile.am kdebase-3.5.10-new/kwin/kcmkwin/kwindecoration/Makefile.am
--- kdebase-3.5.10/kwin/kcmkwin/kwindecoration/Makefile.am	2005-09-10 01:25:56.000000000 -0700
+++ kdebase-3.5.10-new/kwin/kcmkwin/kwindecoration/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -8,7 +8,7 @@
 kcm_kwindecoration_la_LDFLAGS = \
   -module -avoid-version $(all_libraries) -no-undefined
 
-kcm_kwindecoration_la_LIBADD = $(LIB_KDEUI) ../../lib/libkdecorations.la
+kcm_kwindecoration_la_LIBADD = $(LIB_KDEUI) ../../lib/libkdecorations.la -lDCOP
 
 METASOURCES = AUTO
 
diff -Nurd kdebase-3.5.10/kwin/kcmkwin/kwinoptions/Makefile.am kdebase-3.5.10-new/kwin/kcmkwin/kwinoptions/Makefile.am
--- kdebase-3.5.10/kwin/kcmkwin/kwinoptions/Makefile.am	2005-09-10 01:26:02.000000000 -0700
+++ kdebase-3.5.10-new/kwin/kcmkwin/kwinoptions/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -5,7 +5,7 @@
 
 kcm_kwinoptions_la_SOURCES = windows.cpp mouse.cpp main.cpp
 kcm_kwinoptions_la_LDFLAGS = -module -avoid-version $(all_libraries) -no-undefined
-kcm_kwinoptions_la_LIBADD = $(LIB_KDEUI)
+kcm_kwinoptions_la_LIBADD = $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE) -lDCOP
 
 noinst_HEADERS = windows.h mouse.h 
 
diff -Nurd kdebase-3.5.10/kwin/kcmkwin/kwinrules/Makefile.am kdebase-3.5.10-new/kwin/kcmkwin/kwinrules/Makefile.am
--- kdebase-3.5.10/kwin/kcmkwin/kwinrules/Makefile.am	2006-05-22 11:13:01.000000000 -0700
+++ kdebase-3.5.10-new/kwin/kcmkwin/kwinrules/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -11,16 +11,16 @@
 libkwinrules_la_SOURCES = ruleswidget.cpp ruleslist.cpp kwinsrc.cpp detectwidget.cpp \
         ruleswidgetbase.ui ruleslistbase.ui detectwidgetbase.ui editshortcutbase.ui
 libkwinrules_la_LDFLAGS = $(all_libraries) -no-undefined
-libkwinrules_la_LIBADD = $(LIB_KDEUI)
+libkwinrules_la_LIBADD = $(LIB_KDEUI) $(LIB_KDECORE) $(LIB_QT)
 
 kcm_kwinrules_la_SOURCES = kcm.cpp 
 kcm_kwinrules_la_LDFLAGS = -module -avoid-version $(all_libraries) -no-undefined
-kcm_kwinrules_la_LIBADD = libkwinrules.la 
+kcm_kwinrules_la_LIBADD = libkwinrules.la $(LIB_KDECORE) $(LIB_QT) -lDCOP
 kcm_kwinrules_la_COMPILE_FIRST = ruleslistbase.h ruleswidgetbase.h editshortcutbase.h
 
 kwin_rules_dialog_la_SOURCES = main.cpp 
 kwin_rules_dialog_la_LDFLAGS = -module -avoid-version $(all_libraries) -no-undefined
-kwin_rules_dialog_la_LIBADD = libkwinrules.la 
+kwin_rules_dialog_la_LIBADD = libkwinrules.la $(LIB_KDECORE) $(LIB_QT) -lDCOP
 kwin_rules_dialog_la_COMPILE_FIRST = ruleslistbase.h ruleswidgetbase.h editshortcutbase.h
 
 messages: rc.cpp
diff -Nurd kdebase-3.5.10/kwin/killer/Makefile.am kdebase-3.5.10-new/kwin/killer/Makefile.am
--- kdebase-3.5.10/kwin/killer/Makefile.am	2005-09-10 01:25:55.000000000 -0700
+++ kdebase-3.5.10-new/kwin/killer/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -1,9 +1,11 @@
 INCLUDES = $(all_includes)
 
-bin_PROGRAMS = kwin_killer_helper
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = kwin_killer_helper.la
 
-kwin_killer_helper_SOURCES = killer.cpp
-kwin_killer_helper_LDADD = $(LIB_KDEUI)
-kwin_killer_helper_LDFLAGS = $(all_libraries) $(KDE_RPATH)
+kwin_killer_helper_la_SOURCES = killer.cpp
+kwin_killer_helper_la_LIBADD = $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE)
+kwin_killer_helper_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 
 METASOURCES = AUTO
diff -Nurd kdebase-3.5.10/kwin/killer/killer.cpp kdebase-3.5.10-new/kwin/killer/killer.cpp
--- kdebase-3.5.10/kwin/killer/killer.cpp	2005-09-10 01:25:55.000000000 -0700
+++ kdebase-3.5.10-new/kwin/killer/killer.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -43,7 +43,7 @@
         KCmdLineLastOption
     };
 
-int main( int argc, char* argv[] )
+extern "C" KDE_EXPORT int kdemain( int argc, char* argv[] )
     {
     KLocale::setMainCatalogue( "kwin" ); // the messages are in kwin's .po file
     KCmdLineArgs::init( argc, argv, "kwin_killer_helper", I18N_NOOP( "KWin" ),
diff -Nurd kdebase-3.5.10/kwin/lib/Makefile.am kdebase-3.5.10-new/kwin/lib/Makefile.am
--- kdebase-3.5.10/kwin/lib/Makefile.am	2005-09-10 01:26:02.000000000 -0700
+++ kdebase-3.5.10-new/kwin/lib/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -3,7 +3,7 @@
 
 libkdecorations_la_SOURCES = kdecoration.cpp kdecoration_p.cpp kdecoration_plugins_p.cpp \
         kdecorationfactory.cpp kcommondecoration.cpp
-libkdecorations_la_LIBADD = $(LIB_KDECORE)
+libkdecorations_la_LIBADD = $(LIB_KDECORE) $(LIB_QT)
 libkdecorations_la_LDFLAGS = $(all_libraries) -version-info 1:0:0 -no-undefined
 
 # FRAME
diff -Nurd kdebase-3.5.10/kxkb/Makefile.am kdebase-3.5.10-new/kxkb/Makefile.am
--- kdebase-3.5.10/kxkb/Makefile.am	2006-03-17 02:17:41.000000000 -0800
+++ kdebase-3.5.10-new/kxkb/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -13,14 +13,14 @@
 kcm_keyboard_la_SOURCES = extension.cpp x11helper.cpp rules.cpp kxkbconfig.cpp pixmap.cpp \
 	kcmlayout.cpp kcmlayoutwidget.ui kcmmisc.cpp kcmmiscwidget.ui
 kcm_keyboard_la_LDFLAGS  = $(all_libraries) -module -avoid-version -no-undefined
-kcm_keyboard_la_LIBADD = -lxkbfile $(XTESTLIB) $(LIB_KIO)
+kcm_keyboard_la_LIBADD = -lxkbfile $(XTESTLIB) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) $(LIB_KIO)
 
 #kxkb_la_includedir = .
 #kxkb_la_include_HEADERS = kxkb.h
 kxkb_la_SOURCES = extension.cpp x11helper.cpp rules.cpp kxkbconfig.cpp pixmap.cpp \
 	layoutmap.cpp kxkb.cpp kxkbtraywindow.cpp kxkb.skel
 kxkb_la_LDFLAGS = $(all_libraries) -module -avoid-version
-kxkb_la_LIBADD = -lxkbfile -lX11 -lXext $(LIB_KDEUI)
+kxkb_la_LIBADD = -lxkbfile -lX11 -lXext $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE) -lDCOP
 
 xdg_apps_DATA = keyboard.desktop keyboard_layout.desktop
 
diff -Nurd kdebase-3.5.10/libkonq/Makefile.am kdebase-3.5.10-new/libkonq/Makefile.am
--- kdebase-3.5.10/libkonq/Makefile.am	2005-10-10 08:04:21.000000000 -0700
+++ kdebase-3.5.10-new/libkonq/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -21,7 +21,7 @@
 
 lib_LTLIBRARIES = libkonq.la
 libkonq_la_LDFLAGS = $(all_libraries) -version-info 6:0:2 -no-undefined
-libkonq_la_LIBADD = $(LIB_KPARTS)
+libkonq_la_LIBADD = $(LIB_QT) -lDCOP $(LIB_KDECORE) $(LIB_KDEUI) $(LIB_KIO) $(LIB_KPARTS) $(LIBZ) -lkdefx
 
 libkonq_la_SOURCES = konq_popupmenu.cc knewmenu.cc \
    konq_xmlguiclient.cc\
@@ -60,7 +60,7 @@
 kde_module_LTLIBRARIES = $(ARTS_MODULE)
 konq_sound_la_SOURCES = konq_sound.cc
 konq_sound_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-konq_sound_la_LIBADD = -lsoundserver_idl -lartskde
+konq_sound_la_LIBADD = -lsoundserver_idl -lartskde $(LIB_KDECORE) -lmcop $(LIB_QT)
 
 noinst_HEADERS = konq_sound.h
 
diff -Nurd kdebase-3.5.10/nsplugins/Makefile.am kdebase-3.5.10-new/nsplugins/Makefile.am
--- kdebase-3.5.10/nsplugins/Makefile.am	2007-10-08 02:51:24.000000000 -0700
+++ kdebase-3.5.10-new/nsplugins/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -11,16 +11,19 @@
 			NSPluginCallbackIface.skel
 
 libnsplugin_la_LDFLAGS = $(all_libraries) -avoid-version -module $(KDE_PLUGIN) -no-undefined
-libnsplugin_la_LIBADD  = -lkparts
+libnsplugin_la_LIBADD  = $(LIB_QT) -lDCOP $(LIB_KDECORE) $(LIB_KPARTS) $(LIB_KDEUI) $(LIB_KIO)
 
-bin_PROGRAMS = nspluginscan
-nspluginscan_SOURCES = pluginscan.cpp 
-nspluginscan_LDFLAGS =  $(KDE_RPATH) $(all_libraries) -export-dynamic
-nspluginscan_LDADD = $(LIB_KDEUI) $(LIB_KSYCOCA) -lXt libpluginpaths.la
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = nspluginscan.la
+
+nspluginscan_la_SOURCES = pluginscan.cpp
+nspluginscan_la_LDFLAGS =  $(KDE_PLUGIN) $(all_libraries) -export-dynamic -module
+nspluginscan_la_LIBADD = $(LIB_QT) -lDCOP $(LIB_KDECORE) $(LIB_KDEUI) $(LIB_KSYCOCA) -lXt libpluginpaths.la
 
 kcm_nsplugins_la_SOURCES = kcm_nsplugins.cpp 
 kcm_nsplugins_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined
-kcm_nsplugins_la_LIBADD = $(LIB_KDECORE) libpluginpaths.la
+kcm_nsplugins_la_LIBADD = $(LIB_QT) $(LIB_KDECORE) libpluginpaths.la
 
 noinst_LTLIBRARIES = libpluginpaths.la
 libpluginpaths_la_SOURCES = plugin_paths.cpp
diff -Nurd kdebase-3.5.10/nsplugins/pluginscan.cpp kdebase-3.5.10-new/nsplugins/pluginscan.cpp
--- kdebase-3.5.10/nsplugins/pluginscan.cpp	2007-10-08 02:51:24.000000000 -0700
+++ kdebase-3.5.10-new/nsplugins/pluginscan.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -516,7 +516,7 @@
 };
 
 
-int main( int argc, char **argv )
+extern "C" KDE_EXPORT int kdemain( int argc, char **argv )
 {
     KAboutData aboutData( "nspluginscan", I18N_NOOP("nspluginscan"),
                           "0.3", "nspluginscan", KAboutData::License_GPL,
diff -Nurd kdebase-3.5.10/nsplugins/sdk/prcpucfg.h kdebase-3.5.10-new/nsplugins/sdk/prcpucfg.h
--- kdebase-3.5.10/nsplugins/sdk/prcpucfg.h	2008-02-13 01:40:38.000000000 -0800
+++ kdebase-3.5.10-new/nsplugins/sdk/prcpucfg.h	2010-05-13 05:26:41.000000000 -0700
@@ -48,7 +48,7 @@
 
 #define PR_AF_INET6 10  /* same as AF_INET6 */
 
-#ifdef __powerpc__
+#if defined(__powerpc__) || defined(__POWERPC__)
 
 #undef  IS_LITTLE_ENDIAN
 #define IS_BIG_ENDIAN    1
diff -Nurd kdebase-3.5.10/nsplugins/viewer/Makefile.am kdebase-3.5.10-new/nsplugins/viewer/Makefile.am
--- kdebase-3.5.10/nsplugins/viewer/Makefile.am	2008-02-13 01:40:38.000000000 -0800
+++ kdebase-3.5.10-new/nsplugins/viewer/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -1,11 +1,13 @@
 INCLUDES = -I$(top_srcdir)/nsplugins -I$(top_builddir)/nsplugins $(all_includes) `pkg-config --cflags glib-2.0`
 METASOURCES = AUTO
 
-bin_PROGRAMS = nspluginviewer 
+bin_PROGRAMS = 
+lib_LTLIBRARIES = 
+kdeinit_LTLIBRARIES = nspluginviewer.la
 
-nspluginviewer_SOURCES = NSPluginCallbackIface.stub NSPluginClassIface.skel \
+nspluginviewer_la_SOURCES = NSPluginCallbackIface.stub NSPluginClassIface.skel \
 	nsplugin.cpp viewer.cpp kxt.cpp qxteventloop.cpp glibevents.cpp
-nspluginviewer_LDFLAGS = $(all_libraries) $(KDE_RPATH) -export-dynamic `pkg-config --libs glib-2.0`
-nspluginviewer_LDADD = $(LIB_KIO) $(LIB_KPARTS) -lXt
+nspluginviewer_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module -export-dynamic `pkg-config --libs glib-2.0`
+nspluginviewer_la_LIBADD = $(LIB_KIO) $(LIB_KPARTS) -lXt $(LIB_QT) $(LIB_KDECORE) -lDCOP -lglib-2.0 $(LIB_KDEUI)
 
 NSPluginCallbackIface_DIR = $(srcdir)/..
diff -Nurd kdebase-3.5.10/nsplugins/viewer/viewer.cpp kdebase-3.5.10-new/nsplugins/viewer/viewer.cpp
--- kdebase-3.5.10/nsplugins/viewer/viewer.cpp	2008-02-13 01:40:38.000000000 -0800
+++ kdebase-3.5.10-new/nsplugins/viewer/viewer.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -22,6 +22,9 @@
 
 */
 
+#if defined(__APPLE__) && !defined(RLIMIT_AS) && defined(RLIMIT_RSS)
+#define RLIMIT_AS RLIMIT_RSS
+#endif
 
 #include <config.h>
 
@@ -214,7 +217,7 @@
 #endif
 
 
-int main(int argc, char** argv)
+extern "C" KDE_EXPORT int kdemain(int argc, char** argv)
 {
     // nspluginviewer is a helper app, it shouldn't do session management at all
    setenv( "SESSION_MANAGER", "", 1 );
diff -Nurd kdebase-3.5.10/startkde kdebase-3.5.10-new/startkde
--- kdebase-3.5.10/startkde	2008-08-19 12:56:42.000000000 -0700
+++ kdebase-3.5.10-new/startkde	2010-05-13 05:26:41.000000000 -0700
@@ -3,6 +3,11 @@
 #  DEFAULT KDE STARTUP SCRIPT ( KDE-3.5.10 )
 #
 
+source "@FINKPREFIX@/bin/init.sh"
+
+[ -x @FINKPREFIX@/bin/remap-bad-apple-keys.pl ] && @FINKPREFIX@/bin/remap-bad-apple-keys.pl
+
+
 # When the X server dies we get a HUP signal from xinit. We must ignore it
 # because we still need to do some cleanup.
 trap 'echo GOT SIGHUP' HUP
@@ -285,20 +290,23 @@
 
 echo 'startkde: Starting up...'  1>&2
 
-# run KPersonalizer before the session, if this is the first login
-if test "$kpersonalizerrc_general_firstlogin" = "true"; then
-    # start only dcopserver, don't start whole kdeinit (takes too long)
-    echo 'startkde: Running kpersonalizer...'  1>&2
-    dcopserver
-    kwin --lock &
-    kpersonalizer --before-session
-    # handle kpersonalizer restarts (language change)
-    while test $? -eq 1; do
-        kpersonalizer --r --before-session
-    done
-    dcopquit kwin
-    dcopserver_shutdown --wait
-fi
+# on osx we skip this, the defaults are sane and most people
+# do bad things like "mac os menus" which makes it worse
+
+## run KPersonalizer before the session, if this is the first login
+#if test "$kpersonalizerrc_general_firstlogin" = "true"; then
+#    # start only dcopserver, don't start whole kdeinit (takes too long)
+#    echo 'startkde: Running kpersonalizer...'  1>&2
+#    dcopserver
+#    kwin --lock &
+#    kpersonalizer --before-session
+#    # handle kpersonalizer restarts (language change)
+#    while test $? -eq 1; do
+#        kpersonalizer --r --before-session
+#    done
+#    dcopquit kwin
+#    dcopserver_shutdown --wait
+#fi
 
 if test -z "$dl"; then
   # the splashscreen and progress indicator
@@ -368,7 +376,33 @@
 # We only check for 255 which means that the ksmserver process could not be 
 # started, any problems thereafter, e.g. ksmserver failing to initialize, 
 # will remain undetected.
-test -n "$KDEWM" && KDEWM="--windowmanager $KDEWM"
+
+USE_PROXY=0
+if test -n "$KDEWM"; then
+  if test -z `expr "$KDEWM" : '\(.*quartz-wm.*\)'`; then
+    USE_PROXY=1
+  fi
+  KDEWM="--windowmanager $KDEWM"
+else
+  KDEWM="--windowmanager kwin"
+  USE_PROXY=1
+fi
+
+if test "$DISABLE_PROXY" = "1" || test "$DISABLE_PROXY" = "true"; then
+	USE_PROXY=0
+fi
+
+if test "$USE_PROXY" = "1"; then
+  if test -x /usr/X11R6/bin/quartz-wm; then
+    /usr/X11R6/bin/quartz-wm --only-proxy >/dev/null 2>&1 &
+  else
+    AUTOCUTSEL=`which autocutsel 2>/dev/null`
+    if test -n "$AUTOCUTSEL" && test -x "$AUTOCUTSEL"; then
+      $AUTOCUTSEL >/dev/null 2>&1 &
+    fi
+  fi
+fi
+
 kwrapper ksmserver $KDEWM 
 if test $? -eq 255; then
   # Startup error
